petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerView

Visualizes a viewer object.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerView(PetscViewer v,PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| v | - the viewer
| viewer | - visualization context

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.
| PETSC_VIEWER_DRAW_WORLD | - graphical display of nonzero structure

### See Also

PetscViewerPushFormat(), PetscViewerASCIIOpen(), PetscViewerDrawOpen(),
PetscViewerSocketOpen(), PetscViewerBinaryOpen(), PetscViewerLoad()

Level:beginner
Location:src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/viewer/examples/tutorials/ex2.c.html